/*
 * Copyright 2024 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(insert_burst_time.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(d3fc3b6358f806f96fceefb10bf48430)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/channel_monitoring/insert_burst_time.h>
// pydoc.h is automatically generated in the build directory
#include <insert_burst_time_pydoc.h>

void bind_insert_burst_time(py::module& m)
{

    using insert_burst_time = ::gr::channel_monitoring::insert_burst_time;


    py::class_<insert_burst_time,
               gr::sync_block,
               gr::block,
               gr::basic_block,
               std::shared_ptr<insert_burst_time>>(
        m, "insert_burst_time", D(insert_burst_time))

        .def(py::init(&insert_burst_time::make),
             py::arg("tx_period"),
             py::arg("start_margin"),
             py::arg("frame_tag_key"),
             D(insert_burst_time, make))


        .def("set_ref_time",
             &insert_burst_time::set_ref_time,
             py::arg("epoch_time"),
             py::arg("fractional_time"),
             D(insert_burst_time, set_ref_time))

        ;
}
